Subject: Re: [PATCH v7 2/9] Makefile: reorder sources after includes

From: Ramsay Jones <[email-masked]>
Date: Thu, 25 Sep 2025 22:33:22 +0100

On 25/09/2025 7:30 am, Patrick Steinhardt wrote:
> In an upcoming change we'll make some of the sources compile
> conditionally based on whether or not `WITH_RUST` is defined. To let
> developers specify that flag in their "config.mak" we'll thus have to
> reorder our sources so that they come after the include of that file.
> 
> Do so.

Yep, I have a very similar patch which I used recently on cygwin so that
I could just 'make' git - having to remember to type 'make WITH_RUST=false'
all the time (and always forgetting) was somewhat annoying! :)

So, thanks for that!

ATB,
Ramsay Jones